From 11b7525c419a3e451e58e29fb1b997621184c8a1 Mon Sep 17 00:00:00 2001
From: Dessalines <dessalines@users.noreply.github.com>
Date: Tue, 29 Mar 2022 16:54:16 +0000
Subject: [PATCH] Add update translations script. (#2173)

---
 scripts/update_translations.sh | 13 +++++++++++++
 1 file changed, 13 insertions(+)
 create mode 100755 scripts/update_translations.sh

diff --git a/scripts/update_translations.sh b/scripts/update_translations.sh
new file mode 100755
index 00000000..71c62e99
--- /dev/null
+++ b/scripts/update_translations.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+set -e
+
+pushd ../../lemmy-translations
+git fetch weblate
+git merge weblate/main
+git push
+popd
+
+git submodule update --remote
+git add ../crates/utils/translations
+git commit -m"Updating translations."
+git push
-- 
2.44.1